petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPSetSupportedNorm

Sets a norm and preconditioner side supported by a KSP

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetSupportedNorm(KSP ksp,KSPNormType normtype,PCSide pcside,PetscInt priority)

Logically Collective

### Input Arguments

| ksp | - Krylov method
| normtype | - supported norm type
| pcside | - preconditioner side that can be used with this norm
| preference | - integer preference for this combination, larger values have higher priority

### Notes

This function should be called from the implementation files KSPCreate_XXX() to declare which norms and preconditioner sides are supported. Users should not need to call this function.

KSP_NORM_NONE is supported by default with all KSP methods and any PC side at priority 1. If a KSP explicitly does not support KSP_NORM_NONE, it should set this by setting priority=0. Since defaulting to KSP_NORM_NONE is usually undesirable, more desirable norms should usually have priority 2 or higher.

### See Also

KSPSetNormType(), KSPSetPCSide()

Level:developer
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages